""" aufgabe_ls1_08 - Gesamtwiderstands-Ergänzer
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  18.06.2022
    """

import datetime
import csv

print("Gesamtwiderstands-Ergänzer")
print("--------------------------")
print("")

EINGABE_DATEI_NAME = "widerstand.csv"
AUSGABE_DATEI_NAME = "gesamtwiderstand.csv"

anzahl_zeilen = 0
eingabe_datei = open(EINGABE_DATEI_NAME, "r", encoding="utf-8")
csv_eingabe_objekt = csv.reader(eingabe_datei)
ausgabe_datei = open(AUSGABE_DATEI_NAME, "w", encoding="utf-8", newline="")
csv_ausgabe_objekt = csv.writer(ausgabe_datei)
for zeile in csv_eingabe_objekt:
    gesamt = float(zeile[0]) + float(zeile[1]) + float(zeile[2])
    gesamt = round(gesamt, 2)
    zeile = zeile + [gesamt]
    csv_ausgabe_objekt.writerow(zeile)
    anzahl_zeilen = anzahl_zeilen + 1
eingabe_datei.close()
ausgabe_datei.close()

aktuellesDatum = datetime.datetime.now()
datum_text = aktuellesDatum.strftime("%d.%m.%Y")
zeit_text = aktuellesDatum.strftime("%H:%M:%S")

print("Datum:             " + datum_text)
print("Zeit:              " + zeit_text)
print("Eingabedatei:      " + EINGABE_DATEI_NAME)
print("Ausgabedatei:      " + AUSGABE_DATEI_NAME)
print("Anzahl Datensätze: " + str(anzahl_zeilen))
print("")
